# Uses of Interface
org.bukkit.ChunkSnapshot

Packages that use ChunkSnapshot
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of ChunkSnapshot in org.bukkit

Methods in org.bukkit that return ChunkSnapshot
Modifier and Type
Method
Description
`@NotNull ChunkSnapshot`
Chunk.`getChunkSnapshot()`
Capture thread-safe read-only snapshot of chunk data
`@NotNull ChunkSnapshot`
Chunk.`getChunkSnapshot(boolean includeMaxblocky, boolean includeBiome, boolean includeBiomeTempRain)`
Capture thread-safe read-only snapshot of chunk data
`@NotNull ChunkSnapshot`
World.`getEmptyChunkSnapshot(int x, int z, boolean includeBiome, boolean includeBiomeTemp)`
Get empty chunk snapshot (equivalent to all air blocks), optionally including valid biome data.